* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html, body {
    height: 100%;
    font-family: Arial, sans-serif;
    background-color: #f4f4f4;
}

.wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
}

.container {
    margin-top: 5vh;
    max-width: 600px;
    background: #fff;
    padding: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    text-align: center;
    margin-bottom: 20px; /* Add some space between container and footer */
}

h1 {
    text-align: center;
    margin-bottom: 20px;
}

h2 {
    text-align: center;
    color: #6d6d6d;
    font-size: 13px;
}

table {
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 10px;
}

th, td {
    padding: 10px;
    border-bottom: 1px solid #ddd;
    text-align: left;
}

input[type="text"], input[type="number"] {
    width: 100%;
    padding: 5px;
    border-radius: 4px;
    border: 1px solid #ddd;
}

.button-container {
    text-align: center;
    margin-top: 10px;
}

.add-btn, .calculate-btn {
    background-color: #28a745;
    color: white;
    border: none;
    padding: 10px 20px;
    border-radius: 4px;
    cursor: pointer;
    margin: 5px;
}

.add-btn:hover, .calculate-btn:hover {
    background-color: #218838;
}

.net-result {
    font-weight: bold;
}

.pays-who {
    font-style: italic;
}

.copyright {
    text-align: center;
    background: #ffffff;
    width: 100%;
    color: #000000;
    padding: 10px 0;
    box-shadow: 0 0 1rem rgba(0, 0, 0, 0.155);
    margin-top: auto; /* Ensures footer stays at the bottom */
}
